Subject: Re: RFC1323. No timestamping if SYN timestamp = 0. Bug or Feature?

From: Casey Carter <[email-masked]>
Date: Fri, 24 Oct 2003 08:16:13 -0500

David S. Miller wrote:

>It is impossible to comply to RFC1323 if we allow TSval in the
>initial SYN packet to be zero, from RFC1323:
>
>         When TSecr is not valid, its value must be zero.
>
>It is therefore impossible to accept TSval as zero, because
>our TSecr echo of that timestamp would be also zero and thus
>invalid.
>
>That is why we reject zero timestamps in the initial SYN packet.
>  
>
Note that the text does not say "When TSecr is zero, it is invalid."  
You are reversing the conditional statement "not valid implies zero" to 
"zero implies not valid." I don't think that the intent of this text in 
the RFC is to forbid the use of zero as a timestamp, but only to assert 
that the value should be set to zero by default.

-- 
Casey Carter
[email-masked]
[email-masked]
AIM: cartec69